Bug 43456 - Unbreak port misc/gtkfind
Summary: Unbreak port misc/gtkfind
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: bill fumerola
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-28 17:50 UTC by Tilman Linneweh
Modified: 2002-11-07 10:24 UTC (History)
1 user (show)

See Also:


Attachments
gtkfind.diff (1.34 KB, patch)
2002-09-28 17:50 UTC, Tilman Linneweh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Linneweh 2002-09-28 17:50:02 UTC
	MASTER_SITE has dissapeared, FreeBSD Mirrors seems to be the only ones
	having the distfile, so setting MASTER_SITE to MASTER_SITE_BACKUP.
	Unbreak by adding explicit dependency to XFree86-4-clients.
	Remove -O2 from CFLAGS
	Don't install an own version of mktemp.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-09-28 19:09:04 UTC
Responsible Changed
From-To: freebsd-ports->billf

over to maintainer
Comment 2 Kris Kennaway 2002-09-29 06:41:34 UTC
On Sat, Sep 28, 2002 at 06:45:10PM +0200, Tilman Linneweh wrote:

> >Description:
> 	MASTER_SITE has dissapeared, FreeBSD Mirrors seems to be the only ones
> 	having the distfile, so setting MASTER_SITE to MASTER_SITE_BACKUP.
> 	Unbreak by adding explicit dependency to XFree86-4-clients.
> 	Remove -O2 from CFLAGS
> 	Don't install an own version of mktemp.

This also needs a dependency on XFree86-4-Clients (for xterm)

Kris
Comment 3 Tilman Linneweh 2002-09-29 16:14:27 UTC
* Kris Kennaway <kris@obsecurity.org> [Sat, 28 Sep 2002 22:41:34 -0700]:

> On Sat, Sep 28, 2002 at 06:45:10PM +0200, Tilman Linneweh wrote:
> 
> > >Description:
> > 	MASTER_SITE has dissapeared, FreeBSD Mirrors seems to be the only ones
> > 	having the distfile, so setting MASTER_SITE to MASTER_SITE_BACKUP.
> > 	Unbreak by adding explicit dependency to XFree86-4-clients.
						^^^^^^^^^^^^^^^
> > 	Remove -O2 from CFLAGS
> > 	Don't install an own version of mktemp.
> 
> This also needs a dependency on XFree86-4-Clients (for xterm)

My diff was adding this 

-BROKEN="Missing dependency on xterm"
+BUILD_DEPENDS=xterm:${PORTSDIR}/x11/XFree86-4-clients

regards
arved
Comment 4 Kris Kennaway 2002-09-29 20:34:26 UTC
On Sun, Sep 29, 2002 at 05:14:27PM +0200, Tilman Linneweh wrote:
> * Kris Kennaway <kris@obsecurity.org> [Sat, 28 Sep 2002 22:41:34 -0700]:
> 
> > On Sat, Sep 28, 2002 at 06:45:10PM +0200, Tilman Linneweh wrote:
> > 
> > > >Description:
> > > 	MASTER_SITE has dissapeared, FreeBSD Mirrors seems to be the only ones
> > > 	having the distfile, so setting MASTER_SITE to MASTER_SITE_BACKUP.
> > > 	Unbreak by adding explicit dependency to XFree86-4-clients.
> 						^^^^^^^^^^^^^^^
> > > 	Remove -O2 from CFLAGS
> > > 	Don't install an own version of mktemp.
> > 
> > This also needs a dependency on XFree86-4-Clients (for xterm)
> 
> My diff was adding this 
> 
> -BROKEN="Missing dependency on xterm"
> +BUILD_DEPENDS=xterm:${PORTSDIR}/x11/XFree86-4-clients


Oops, apparently I'm blind or something.  Thanks!

Kris
Comment 5 Tilman Keskinoz freebsd_committer 2002-11-07 10:24:22 UTC
State Changed
From-To: open->closed

Commmitted, thanks.